#
# spec file for package rhnpush
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define rhnroot %{_datadir}/rhn

Name:           rhnpush
Summary:        Package uploader for the Red Hat Network Satellite Server
Group:          Applications/System
License:        GPL v2 only
Url:            http://fedorahosted.org/spacewalk
Version:        5.5.7
Release:        2.2
Source0:        rhnpush-git-e1a3c7e353bd10819237baa4babb8cd36ff1234f.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       rpm-python rhnlib
Requires:       spacewalk-backend-libs >= 0.8.3

BuildRequires:  docbook-utils gettext python-devel

Summary:        Package uploader for the Red Hat Network Satellite Server

%description
rhnpush uploads package headers to the Red Hat Network servers into
specified channels and allows for several other channel management
operations relevant to controlling what packages are available per
channel.



%prep
%setup -q -n rhnpush-git-e1a3c7e353bd10819237baa4babb8cd36ff1234f
%if 0%{?rhel} && 0%{?rhel} <= 4
patch -p0 < patches/rhel4-static.dif
%endif

%build
make -f Makefile.rhnpush all

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{rhnroot}
make -f Makefile.rhnpush install PREFIX=$RPM_BUILD_ROOT ROOT=%{rhnroot} \
    MANDIR=%{_mandir}
%if 0%{?suse_version}
ln -s rhnpush $RPM_BUILD_ROOT/%{_bindir}/mgrpush
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{rhnroot}
%dir %{_sysconfdir}/sysconfig/rhn
%dir %{rhnroot}/rhnpush
%{rhnroot}/rhnpush/*
%attr(755,root,root) %{_bindir}/rhnpush
%if 0%{?suse_version}
%{_bindir}/mgrpush
%endif
%attr(755,root,root) %{_bindir}/rpm2mpm
%attr(755,root,root) %{_bindir}/solaris2mpm
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/sysconfig/rhn/rhnpushrc
%{_mandir}/man8/rhnpush.8*
%{_mandir}/man8/solaris2mpm.8*

%changelog
* Tue Feb 22 2011 mantel@suse.de
- add missing "import string" (bnc#672643)
* Thu Feb 17 2011 mantel@suse.de
- fix build: create symlink only after binary has been installed
* Thu Feb 17 2011 mantel@suse.de
- rename "Red Hat Network" to "SUSE Manager" for SUSE (bnc#672643)
- add mgrpush symlink (bnc#672643)
* Tue Feb  1 2011 mc@suse.de
- fix build for RH4
* Tue Jan 11 2011 mc@suse.de
- tag strings which needs changes
- fix Requires line in spec
* Wed Sep 15 2010 mantel@suse.de
- fix post-build-checks
* Tue Sep 14 2010 mantel@suse.de
- Initial release of rhnpush
